Skip to main content
GET
/
v1
/
users
List Users
curl --request GET \
  --url https://api.us.lexful.app/v1/users \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "role": "system_admin",
      "account_scopes": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "organization_scopes": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "first_name": "<string>",
      "last_name": "<string>",
      "external_ids": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "updated_by": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Query Parameters

email
string<email>

Filter by email (partial match)

role
enum<string>

Filter by role

Available options:
system_admin,
system_support,
admin,
support,
viewer
first_name
string

Filter by first name (partial match)

last_name
string

Filter by last name (partial match)

sort
string

Comma-separated fields to sort by (e.g., "email,created_at")

order
string

Comma-separated sort directions - ASC or DESC (e.g., "ASC,DESC")

limit
number
default:100

Number of items to return

Required range: 1 <= x <= 1000
offset
number
default:0

Number of items to skip

Required range: x >= 0
include_deleted
boolean
default:false

Include deleted in the results

Response

Default Response

items
object[]
required
total
number
required

Total number of items available

limit
number
required

Number of items returned

offset
number
required

Number of items skipped